Call recording
CallRecordingCompletedWebhook is sent to the URL set up with /webhooks endpoint for webhook type
CallRecordingCompleted when a Call recording is completed and available for download.
Authorization
basic Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Call recording completed and available for download event. This webhook is sent once all call recording parts are available for download.
Response Body
curl -X POST "https://example.com/v1/Webhooks/CallRecordingCompletedWebhook" \ -H "Content-Type: application/json" \ -d '{ "type": "CallRecordingCompleted", "sid": "WH08df051c8bba9b95a1390f0c32bbe3803a21741b91245f6a", "payload": { "callSid": "CA08df051c8bba9b148aa1b3d44b8cf5e15188bcbca32e136d", "callDirection": "Inbound", "callInternalNumber": "+19876543210", "callExternalNumber": "+13234567890", "callRecordingParts": [ { "startedOn": "2026-08-28T15:53:47.138589Z", "duration": "00:01:30", "url": "https://api.telgorithm.com:443/messaging/v1/Calls/CA08df051c8bba9b148aa1b3d44b8cf5e15188bcbca32e136d/recordings/1/download" } ] } }'Call status POST
`CallStatusChangedWebhook` is sent to the URL set up with `/webhooks` endpoint for webhook type `CallStatusChanged` when a Call status is changed.
Phone Number Voice Status POST
`PhoneNumberVoiceStatusChangedWebhook` is sent to the URL set up with `/webhooks` endpoint for webhook type `PhoneNumberVoiceStatusChanged` when a Phone Number Voice Status has been changed.